ServerEvents.recipes(event => {
const recipe_mixing = [
  
    {//beetroot_soup
        ingredients:[
            {item: 'minecraft:bowl'},
            {item: 'minecraft:beetroot'},
            {item: 'minecraft:beetroot'},
            {item: 'minecraft:beetroot'},
            {item: 'minecraft:beetroot'},
            {item: 'minecraft:beetroot'},
            {item: 'minecraft:beetroot'},

        ],
        results:[{item: 'minecraft:beetroot_soup'}],
        id: 'chunklock_create:create/mixing/beetroot_soup'
    },
    {//packed_mud'
        ingredients:[
            {item: 'minecraft:wheat'},
            {item: 'minecraft:mud'},
            

        ],
        results:[{item: 'minecraft:packed_mud'}],
        id: 'chunklock_create:create/mixing/packed_mud'
    },
   
]
recipe_mixing.forEach((recipe) => {
    if (recipe.heatRequirement ==='superheated')
        event.custom({
            type: "create:mixing",
            heatRequirement: "superheated",
            ingredients:recipe.ingredients,
            results: recipe.results }).id(recipe.id)
    else if (recipe.heatRequirement === 'heated' )
        event.custom({
            type: "create:mixing",
            heatRequirement: "heated",
            ingredients:recipe.ingredients,
            results: recipe.results }).id(recipe.id)
    else
        event.custom({
            type: "create:mixing",
            ingredients:recipe.ingredients,
            results: recipe.results }).id(recipe.id)

})
})
